0 Replies Latest reply: Mar 25, 2013 6:44 PM by 999090 RSS

    MapListener and Coherence and Java versions


      (1) On one of our testing environments, on linux, we are running coherence on JVM Java 1.6u33 . We are using coherence*extend clients, and we do listen to updates in a cache through MapListeners. We have no issues on this configuration, and we consistently get onMapEvent calls for events.

      (2) When the same code is ported to another linux box, running on JVM 1.6u06, we start to get onMapEvent calls for a while, but then it stops abruptly. We are able to verify the server cache getting updated properly, through a backing map listener on the server side. However the listeners on the coherence*extend are not sent notification.

      I understand that the (2) configuration is running JVM which is lower than the recommended version,but, When we downgraded JVM on (1) with 1.6u06, we still had consistent onMapEvent calls.

      My question is, does this kind of inconsistent behavior ring a bell to anybody over here ? It is hard to understand why the notifications would be inconsistent when the JVM is lower ... may be it is not associated with the JVM at all ? Can somebody throw some light on this please ?